libzypp: zypp::packagedelta::DeltaRpm Class Reference

libzypp 17.38.6

zypp::packagedelta::DeltaRpm Class Reference

`#include <zypp/repo/PackageDelta.h>`

## Classes
class | BaseVersion

## Public Member Functions
| DeltaRpm ()
| DeltaRpm (const sat::LookupAttr::iterator &deltaInfo_r)

## Target package ident.
std::string | _name
Edition | _edition
Arch | _arch
OnMediaLocation | _location
BaseVersion | _baseversion
Repository | _repo
const std::string & | name () const
const Edition & | edition () const
const Arch & | arch () const
const OnMediaLocation & | location () const
const BaseVersion & | baseversion () const
const Repository & | repository () const
DeltaRpm & | setName (const std::string &val_r)
DeltaRpm & | setEdition (const Edition &val_r)
DeltaRpm & | setArch (const Arch &val_r)
DeltaRpm & | setLocation (const OnMediaLocation &val_r)
DeltaRpm & | setBaseversion (const BaseVersion &val_r)

## Detailed Description

Todo
  cheap copy! (switch to RWCOW)

Definition at line 35 of file PackageDelta.h.

## Constructor & Destructor Documentation

## ◆ DeltaRpm() [1/2]

zypp::packagedelta::DeltaRpm::DeltaRpm | ( |  | ) |
| inline

Definition at line 58 of file PackageDelta.h.

## ◆ DeltaRpm() [2/2]

zypp::packagedelta::DeltaRpm::DeltaRpm | ( | const sat::LookupAttr::iterator & | deltaInfo_r | ) |

Definition at line 35 of file PackageDelta.cc.

## Member Function Documentation

## ◆ name()

const std::string & zypp::packagedelta::DeltaRpm::name | ( |  | ) | const
| inline

Definition at line 64 of file PackageDelta.h.

## ◆ edition()

const Edition & zypp::packagedelta::DeltaRpm::edition | ( |  | ) | const
| inline

Definition at line 65 of file PackageDelta.h.

## ◆ arch()

const Arch & zypp::packagedelta::DeltaRpm::arch | ( |  | ) | const
| inline

Definition at line 66 of file PackageDelta.h.

## ◆ location()

const OnMediaLocation & zypp::packagedelta::DeltaRpm::location | ( |  | ) | const
| inline

Definition at line 68 of file PackageDelta.h.

## ◆ baseversion()

const BaseVersion & zypp::packagedelta::DeltaRpm::baseversion | ( |  | ) | const
| inline

Definition at line 69 of file PackageDelta.h.

## ◆ repository()

const Repository & zypp::packagedelta::DeltaRpm::repository | ( |  | ) | const
| inline

Definition at line 70 of file PackageDelta.h.

## ◆ setName()

DeltaRpm & zypp::packagedelta::DeltaRpm::setName | ( | const std::string & | val_r | ) |
| inline

Definition at line 73 of file PackageDelta.h.

## ◆ setEdition()

DeltaRpm & zypp::packagedelta::DeltaRpm::setEdition | ( | const Edition & | val_r | ) |
| inline

Definition at line 74 of file PackageDelta.h.

## ◆ setArch()

DeltaRpm & zypp::packagedelta::DeltaRpm::setArch | ( | const Arch & | val_r | ) |
| inline

Definition at line 75 of file PackageDelta.h.

## ◆ setLocation()

DeltaRpm & zypp::packagedelta::DeltaRpm::setLocation | ( | const OnMediaLocation & | val_r | ) |
| inline

Definition at line 76 of file PackageDelta.h.

## ◆ setBaseversion()

DeltaRpm & zypp::packagedelta::DeltaRpm::setBaseversion | ( | const BaseVersion & | val_r | ) |
| inline

Definition at line 77 of file PackageDelta.h.

## Member Data Documentation

## ◆ _name

std::string zypp::packagedelta::DeltaRpm::_name
| private

Definition at line 80 of file PackageDelta.h.

## ◆ _edition

Edition zypp::packagedelta::DeltaRpm::_edition
| private

Definition at line 81 of file PackageDelta.h.

## ◆ _arch

Arch zypp::packagedelta::DeltaRpm::_arch
| private

Definition at line 82 of file PackageDelta.h.

## ◆ _location

OnMediaLocation zypp::packagedelta::DeltaRpm::_location
| private

Definition at line 83 of file PackageDelta.h.

## ◆ _baseversion

BaseVersion zypp::packagedelta::DeltaRpm::_baseversion
| private

Definition at line 84 of file PackageDelta.h.

## ◆ _repo

Repository zypp::packagedelta::DeltaRpm::_repo
| private

Definition at line 85 of file PackageDelta.h.

The documentation for this class was generated from the following files:

- zypp/repo/PackageDelta.h
- zypp/repo/PackageDelta.cc